Subject: Re: BCM4313 & brcmsmac & 3.12: only semi-working?

From: Maximilian Engelhardt <[email-masked]>
Date: Sun, 21 Dec 2014 18:34:24 +0100

On Sunday 21 December 2014 16:03:17 Arend van Spriel wrote:
> On 12/21/14 15:24, Maximilian Engelhardt wrote:
> > On Sunday 21 December 2014 15:13:50 Arend van Spriel wrote:
> >> On 12/21/14 15:08, Maximilian Engelhardt wrote:
> >>> On Sunday 21 December 2014 11:12:40 Arend van Spriel wrote:
> >>>> On 12/21/14 10:58, Michael Tokarev wrote:
> >>>>> 16.12.2014 19:51, Arend van Spriel wrote:
> >>>>>> Hmm. The function brcms_btc_ecicoex_enab() is calling itself. Please
> >>>>>> remove that call as it causes endless recursion and eventually
> >>>>>> reboot.>
> >>>>> 
> >>>>> Ok, that was easy.  Now it loads, but wifi link still
> >>>>> does not work, stalling as before.  What we're looking
> >>>>> at now?
> >>>> 
> >>>> The patch is just to provide me with extra bt-coex related information
> >>>> in the kernel log. So if you can provide that to me I have to info
> >>>> needed to look in the proprietary code base to determine what is
> >>>> missing.
> >>>> 
> >>>> Regards,
> >>>> Arend
> >>> 
> >>> Hi Arend,
> >> 
> >>> here is the output from my card:
> >> Thanks. It shows you have have the same bt-coex version as Michael. I am
> >> not familiar with bluetooth side of things. Are you both using bluetooth
> >> on 4313?
> >> 
> >> Regards,
> >> Arend
> > 
> > I don't know. I think I have Bluetooth somehow enabled but I'm not really
> > using it. I definitely don't have any Bluetooth devices connected. I could
> > try to unload/disable Bluetooth it to see if it makes any difference.
> 
> That would be useful to know.
> 

I did a test with all Bluetooth modules unloaded that I could find but 
throughput was still very low (about 4 Mbit/s with brcmsmac, my atheros USB 
stick archived about 110 Mbit/s).

Greetings,
Maxi